Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.core.agents
Class InboundQueueListenerAgent

    java.lang.Object
      oracle.ifs.core.runtime.Server
          oracle.ifs.core.runtime.IfsServer
              oracle.ifs.core.runtime.ClusteredServer
                  oracle.ifs.core.agents.InboundQueueListenerAgent

All Implemented Interfaces:
  ServerInterface, TimerContext

    public class InboundQueueListenerAgent

extends ClusteredServer

InboundQueueListenerAgent processes messages that arrive on inbound queues of iFS.

(Published)

Nested Class Summary

Nested classes/interfaces inherited from class oracle.ifs.core.runtime.IfsServer
`IfsServer.ServerRequest`

Field Summary

Fields inherited from class oracle.ifs.core.runtime.ClusteredServer
`REQUESTTYPE_CHECK_REGISTRATION, REQUESTTYPE_FORCE_CHECK_REGISTRATION`

Fields inherited from class oracle.ifs.core.runtime.Server
`LEVEL_HIGH, LEVEL_LOW, LEVEL_MEDIUM, LEVEL_OFF`

Fields inherited from interface oracle.ifs.core.runtime.ServerInterface
`SERVERSTATUS_DISPOSED, SERVERSTATUS_RUNNING, SERVERSTATUS_STARTING, SERVERSTATUS_STOPPED, SERVERSTATUS_STOPPING, SERVERSTATUS_SUSPENDED, SERVERSTATUS_UNKNOWN`

Constructor Summary
`InboundQueueListenerAgent()` Constructs an InboundQueueListenerAgent.

Method Summary
`protected Queue` | `findQueue(LibrarySession sess, java.lang.String queueName)` Finds a queue instance given the name of the queue.
`protected void` | `handleResumeRequest()` Handles a request to resume.
`protected void` | `handleSuspendRequest()` Handles a request to suspend.
`protected void` | `handleTimerExpired()` Handles a timer expiration.
`void` | `initialize()` Initializes this InboundQueueListenerAgent.
`boolean` | `isAgent()` Gets whether this Server is an agent.
`protected void` | `loadMessageProcessorObjects()` For each queue that the agent is listening upon, this method created objects of its MessageProcessClass type and loads it into a hashtable.
`protected void` | `loadQueues(LibrarySession session)` Loads queue instances into a vector.
`static void` | `main(java.lang.String[] args)` Runs a standalone InboundQueueListenerAgent.
`void` | `postRun()` Performs post-run tasks for this InboundQueueListenerAgent.
`void` | `preRun()` Performs pre-run tasks for this InboundQueueListenerAgent.
`void` | `run()` Runs this InboundQueueListenerAgent.
`boolean` | `supportsSuspendResume()` Gets whether this InboundQueueListenerAgent supports suspend/resume.

Methods inherited from class oracle.ifs.core.runtime.ClusteredServer
`cancelRegistration, checkRegistration, deriveAgentIdentifier, deriveRunningServerIdentifier, getAgentIdentifier, getAgentIdentifierPrefix, getRegistrationPeriod, getRunningNodeIdentifier, getRunningNodeName, getRunningServerIdentifier, getRunningServersEnumeration, handleRequest, initializeRegistration, isPropertyReadonly, isRegistered, isServerRunning, isTokenNonCompeting, releaseTokenRegistration, requestForcedRegistrationCheck, requestRegistrationCheck`

Methods inherited from class oracle.ifs.core.runtime.IfsServer
`checkSession, connectSession, constructSession, convertTimerInterval, convertTimerInterval, convertTimerInterval, dispose, getLastTimerActivation, getNextTimerActivation, getService, getTimerActivationPeriod, getTimerClassName, getTimerConfiguration, handlePriorityChangeRequest, handlePropertyChangeRequest, handlePropertyChangeRequest, handleRequests, handleStopRequest, isTimerActive, postRequest, processEvent, processEvents, queueEvent, resetTimer, restart, resume, setPriority, setProperty, setProperty, start, startTimer, stop, stopRequested, stopTimer, suspend, timerExpired, waitServer`

Methods inherited from class oracle.ifs.core.runtime.Server
`acquireSession, constructLibrarySessionPool, createServerState, deregister, disconnectSession, getConfigurationOverridesTable, getConfigurationTable, getCredential, getDesiredStatus, getIfsHome, getInitialConfigurationTable, getLoggerForLegacyLogging, getName, getNode, getNodeName, getOracleHome, getParameterTable, getPriority, getProperties, getProperty, getServerConfigurationName, getServerState, getServerStateValue, getServerType, getServiceName, getSession, getStateTable, getStatus, getSystemUserCredential, handleServerConfigurationOverrideRequest, handleServerStateEvent, initialize, initialize, isDisposed, isInitialized, isLogged, log, log, log, postAuditEvent, releaseSession, releaseSession, setDesiredStatus, setDesiredStatus, setSessionTimeoutPrevented, setStateProperty, setStatus, startStandalone, startStandalone, supportsPriority, toStatusLabel, toStatusLabel, toStatusLabel, verifyNotDisposed, verifyNotDisposed`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InboundQueueListenerAgent

    public InboundQueueListenerAgent()
                              throws IfsException

  Constructs an InboundQueueListenerAgent.

  Throws:
    `IfsException` - if the operation fails

Method Detail

### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

  Description copied from class: `InboundQueueListenerAgent`
  Runs a standalone InboundQueueListenerAgent.

  Parameters:
    `args` - used to construct a parameter table
  Throws:
    `java.lang.Exception` - if the operation fails

### initialize

    public void initialize()
                    throws java.lang.Exception

  Description copied from class: `InboundQueueListenerAgent`
  Initializes this InboundQueueListenerAgent.

  Overrides:
    `initialize` in class `Server`
  Throws:
    `java.lang.Exception` - if the operation fails

### preRun

    public void preRun()
                throws java.lang.Exception

  Description copied from class: `InboundQueueListenerAgent`
  Performs pre-run tasks for this InboundQueueListenerAgent.

  Overrides:
    `preRun` in class `IfsServer`
  Throws:
    `java.lang.Exception` - if the operation fails

### run

    public void run()

  Description copied from class: `InboundQueueListenerAgent`
  Runs this InboundQueueListenerAgent.

  Specified by:
    `run` in class `IfsServer`

### postRun

    public void postRun()

  Description copied from class: `InboundQueueListenerAgent`
  Performs post-run tasks for this InboundQueueListenerAgent.

  Overrides:
    `postRun` in class `IfsServer`

### supportsSuspendResume

    public boolean supportsSuspendResume()
                                  throws IfsException

  Description copied from class: `InboundQueueListenerAgent`
  Gets whether this InboundQueueListenerAgent supports suspend/resume.

  Specified by:
    `supportsSuspendResume` in interface `ServerInterface`
  Overrides:
    `supportsSuspendResume` in class `Server`
  Returns:
    true
  Throws:
    `IfsException` - if the operation fails

### handleSuspendRequest

    protected void handleSuspendRequest()
                                 throws java.lang.Exception

  Description copied from class: `InboundQueueListenerAgent`
  Handles a request to suspend.

  Overrides:
    `handleSuspendRequest` in class `IfsServer`
  Throws:
    `java.lang.Exception` - if the operation fails

### handleResumeRequest

    protected void handleResumeRequest()
                                throws java.lang.Exception

  Description copied from class: `InboundQueueListenerAgent`
  Handles a request to resume.

  Overrides:
    `handleResumeRequest` in class `IfsServer`
  Throws:
    `java.lang.Exception` - if the operation fails

### handleTimerExpired

    protected void handleTimerExpired()
                               throws java.lang.Exception

  Description copied from class: `InboundQueueListenerAgent`
  Handles a timer expiration.

  Overrides:
    `handleTimerExpired` in class `IfsServer`
  Throws:
    `java.lang.Exception` - if the operation fails

### loadQueues

    protected void loadQueues(LibrarySession session)
                       throws IfsException

  Description copied from class: `InboundQueueListenerAgent`
  Loads queue instances into a vector. Also calls loadMessageProcessorObjects() method to load the message processor objects into a hashtable.

  Parameters:
    `session` - handle to the LibrarySession
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### loadMessageProcessorObjects

    protected void loadMessageProcessorObjects()
                                        throws IfsException

  Description copied from class: `InboundQueueListenerAgent`
  For each queue that the agent is listening upon, this method created objects of its MessageProcessClass type and loads it into a hashtable. This avoids the need to created these objects every time a message arrives on the queue.

  Throws:
    `IfsException` - if the operation fails
  (Published)

### findQueue

    protected Queue findQueue(LibrarySession sess,
                              java.lang.String queueName)
                       throws IfsException

  Description copied from class: `InboundQueueListenerAgent`
  Finds a queue instance given the name of the queue. If the queue instance is not found, then it return null.

  Parameters:
    `sess` - handle to the LibrarySession
    `queueName` - name of the queue to be found
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### isAgent

    public boolean isAgent()
                    throws IfsException

  Description copied from class: `InboundQueueListenerAgent`
  Gets whether this Server is an agent.

  This method is called by iFS administration tools to group together servers that are agents in administration user interfaces.

  Specified by:
    `isAgent` in interface `ServerInterface`
  Overrides:
    `isAgent` in class `Server`
  Returns:
    true
  Throws:
    `IfsException` - (IFS-45178) if the operation fails
  (Published)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD